[package]
name = "mcai-workflow"
version = "0.5.0"
authors = [
  "Marc-Antoine Arnaud <marc-antoine.arnaud@luminvent.com>"
]
description = "Yew components of Workflows and Workers for Media Cloud AI project"
keywords = ["MCAI", "workflows"]
license = "MIT"
edition = "2018"
resolver = "2"

[workspace]
members = ["demo"]

[dependencies]
by_address = "1.0.4"
css-in-rust-next = {version = "0.6.0", features = ["yew_integration"] }
enum-iterator = "0.8.1"
heck = "0.4.0"
log = "0.4.16"
material-icons = "0.2.0"
mcai_models = "0.8.1"
mcai-client = "0.4.0"
mcai-graph = "0.3.0"
mcai-types = "0.1.0"
schemars = "0.8.8"
serde = "1.0"
serde_json = "1.0"
wasm-bindgen = "0.2.80"
web-sys = { version = "0.3.57", features = ["DataTransfer", "DragEvent", "HtmlCollection", "HtmlSelectElement"] }
yew = "0.19.3"
yew-feather = "0.2.1"
